package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.WFUserGroup;
import com.sa.ibiz.demo.demo.service.dto.WFUserGroupSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[WFUserGroup] 服务对象接口
 */
public interface WFUserGroupService extends IService<WFUserGroup>{

		WFUserGroup get(WFUserGroup et);
	boolean getDraft(WFUserGroup et);
	boolean checkKey(WFUserGroup et);
	boolean remove(WFUserGroup et);
	boolean update(WFUserGroup et);
	boolean create(WFUserGroup et);
    List<WFUserGroup> listDefault(WFUserGroupSearchFilter filter) ;
	Page<WFUserGroup> searchDefault(WFUserGroupSearchFilter filter);
	/**	 实体[WFUserGroup] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }